Name:           cockpit-image-builder
Version:        v55
Release:        1.20250128083053159314.pr2802.37.gf47258f5%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-56.tar.gz

# Drop obsoletes until functional enough compared to cockpit-composer
# Obsoletes:      cockpit-composer < 54
# Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       osbuild-composer >= 103

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Tue Jan 28 2025 Packit <hello@packit.dev> - v55-1.20250128083053159314.pr2802.37.gf47258f5
- konflux: Update references manually (regexowl)
- Wizard: Add remove user button in users step (Michal Gold)
- Wizard: Add kernel to Review step (regexowl)
- wizard: create new component with add eyeIcon button inside textInput (Michal Gold)
- store/backendApi: tidy up mixed api imports (Gianluca Zuccarelli)
- CreateImageWizard: initialize on-prem with host arch (Gianluca Zuccarelli)
- CreateImageWizard: initialize on-prem with host distro (Gianluca Zuccarelli)
- test/mocks: add cockpit os-release (Gianluca Zuccarelli)
- constants: add centos-10 & fedora-41 (Gianluca Zuccarelli)
- CreateImageWizard: hide activation keys for on-prem (Gianluca Zuccarelli)
- CreateImageWizard: disable steps for on-prem (Gianluca Zuccarelli)
- store: add missing apis to onPrem (Gianluca Zuccarelli)
- store/backendApi: create a useBackendPrefetch hook (Gianluca Zuccarelli)
- store/cockpitApi: empty get oscap profiles function (Gianluca Zuccarelli)
- store/cockpitApi: get blueprint endpoint (Gianluca Zuccarelli)
- store/cockpitApi: getArchitectures endpoint (Gianluca Zuccarelli)
- Utilities: fix useGetEnvironment (Gianluca Zuccarelli)
- multi: on-prem can't use the unleash flag (Gianluca Zuccarelli)
- cockpit: switch to hashrouter (Gianluca Zuccarelli)
- Wizard: Remove redundant code, fix addItem (regexowl)
- Wizard: Add kernel append input (regexowl)
- Utilities: Fix "no-unnecessary-condition" issue (regexowl)
- ImagesTable: Fix "no-unnecessary-condition" issues (regexowl)
- LandingPage: Fix "no-unnecessary-condition" issues (regexowl)
- test: Fix "no-unnecessary-condition" issues (regexowl)
- Blueprints: Fix "no-unnecessary-condition" issues (regexowl)
- devDeps: Manually bump stylelint (regexowl)
- wizard: add support of TextArea for ssh_key field (Michal Gold)
- wizrad: add validation to ssh key field (HMS-5349) (Michal Gold)
- Wizard: Services step basics (regexowl)
- build(deps-dev): bump @testing-library/user-event from 14.5.2 to 14.6.1 (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- ESLint: Disable autofix for "no-unnecessary-condition" (regexowl)
- test: Test error message reset and validation on add button (regexowl)
- Wizard: Reset error text and validate on plus button (regexowl)
- Wizard: Fix "and build images" buttons (regexowl)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
